import type { Context } from '@actions/github/lib/context';
import type { Logger } from '@technote-space/github-action-log-helper';
import type { ReplaceResult } from 'replace-in-file';
export declare const getPackageDir: () => string;
export declare const getBranchPrefix: () => string;
export declare const isValidBranch: (branch: string) => boolean;
export declare const getPackageFileName: () => string;
export declare const getPackagePath: () => string;
export declare const getPackageData: () => any;
export declare const getPackageVersion: () => string;
export declare const getTestTagPrefix: () => string;
export declare const isTestTag: (tagName: string) => boolean;
export declare const getTestTag: (tagName: string) => string;
export declare const getPackageVersionToUpdate: (tagName: string) => string;
export declare const isRequiredUpdate: (packageVersion: string, tagName: string) => boolean;
export declare const isValidTagName: (tagName: string) => boolean;
export declare const getReplaceResultMessages: (results: ReplaceResult[], logger: Logger) => string[];
export declare const getCommitMessage: () => string;
export declare const isCommitDisabled: () => boolean;
export declare const getDefaultBranch: (context: Context) => string | undefined;
export declare const getBranch: (context: Context) => string;
export declare const getNextVersion: () => string;
export declare const isSpecifiedNextVersion: () => boolean;
export declare const getTagName: (context: Context) => string;
export declare const isValidTagNameContext: (context: Context) => boolean;
export declare const isValidBranchContext: (context: Context) => boolean;
export declare const isValidContext: (context: Context) => boolean;
